local media = LibStub("LibSharedMedia-3.0")

function PWBInfo:BuildGui()
	InfoFrame = CreateFrame("Frame", nil, UIParent)
	InfoFrame:SetFrameStrata("BACKGROUND")
	InfoFrame:SetPoint("BOTTOMLEFT", self.db.x, self.db.y)
	InfoFrame:SetBackdrop({bgFile = media:Fetch("background", "Blizzard Tooltip"), tile = false})

	InfoFrame:RegisterForDrag('LeftButton')
	InfoFrame:SetClampedToScreen(true)
	InfoFrame:SetScript("OnDragStart", function(self) Protwarbar:Dragstart(self) end )
	InfoFrame:SetScript('OnDragStop', function(self) PWBInfo:Dragstop(self) end )

	VengeanceText =	Protwarbar:CreateTextField(InfoFrame, self.db)

	PWBInfo:UpdateStyling()
	PWBInfo:UpdateVisiblity()
end

function PWBInfo:UpdateStyling()
	Protwarbar:UpdateFrame(InfoFrame, self.db)
	Protwarbar:UpdateTextField(VengeanceText, self.db)
	Protwarbar:UpdateBackdropColor(InfoFrame, self.db, "background")
end

function PWBInfo:UpdateVisiblity()
	if self.db.enabled == true and Protwarbar:IsVisible() then
		InfoFrame:Show()
	else
		InfoFrame:Hide()
	end
end

function PWBInfo:Dragstop(frame)
	frame:StopMovingOrSizing()

	self.db.x = InfoFrame:GetLeft()
	self.db.y = InfoFrame:GetBottom()
end